Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - spotify

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: spotify 1.0.48.103-1

Git Clone URL: https://aur-dev.archlinux.org/spotify.git (read-only)
Package Base: spotify
Description: A proprietary music streaming service
Upstream URL: http://www.spotify.com
Licenses: custom:"Copyright (c) 2006-2010 Spotify Ltd"
Submitter: gadget3000
Maintainer: AWhetter
Last Packager: AWhetter
Votes: 1048
Popularity: 33.674585
First Submitted: 2010-07-12 12:17
Last Updated: 2017-02-01 07:21

Latest Comments

1 2 3 4 5 6 ... Next › Last »

alexis6307 commented on 2017-02-01 09:19

Spotify last update installs and works perfect! Thanks!

MarechalLima commented on 2017-02-01 03:40

SHA256SUM amd64: f660115dd423937e7ac03effbad0e9f53f77f51fb69cc45066503db2bcc44ba6

spotify-client_1.0.47.13.gd8e05b1f-89_amd64.deb

t3knician commented on 2017-01-31 21:10

The current versions in spotify repositories
se we can't install spotify :(

spotify-client_1.0.47.13.gd8e05b1f-17_i386.deb 31-Jan-2017 09:45 73098374
spotify-client_1.0.47.13.gd8e05b1f-89_amd64.deb 31-Jan-2017 09:45 71895310
spotify-client_1.0.48.103.g15edf1ec-14_i386.deb 31-Jan-2017 11:25 73398758
spotify-client_1.0.48.103.g15edf1ec-94_amd64.deb 31-Jan-2017 11:25 72106144

bulletmark commented on 2017-01-25 22:02

@plebian, that problem where the account link does not work has existed for many versions. Also on GNOME. Thanks for the tip about the arrow keys.

plebian commented on 2017-01-25 13:28

Can't seem to click the link to account settings, don't know if more people have this problem otherwise I'm opening a ticket. On Gnome

edit: using the arrow keys with enter works as a workaround

ThomasMaltese commented on 2017-01-25 01:16

@he-leon

I ran spotify as root. Like you said, everything works fine.

I believe you're right about dbus; I get the following message when running as root:

(spotify:2173): GLib-GIO-CRITICAL **: g_dbus_connection_send_message: assertion 'G_IS_DBUS_CONNECTION (connection)' failed

I haven't been able to find any information about this error, but I'll keep searching.

Also, I have a similar situation with my laptop as well. I have a manjaro install and I get the same libssl errors. Running as normal user works fine.
I'll let you know if I find anything.

-Tom

he-leon commented on 2017-01-23 13:47

@ThomasMaltese:

I experience the same problem. I don't think it has something to do with libssl.
When running Spotify as root everything works just fine. It prints the same messages about libssl etc, so i don't think this is the problem.

I have another Arch Linux installation on my notebook. The strange thing is: Everything works normal on my notebook. Spotify runs smoothly executed as a normal user and is btw also printing the messages you mentioned.
I couldn't find out what is making the difference here. Both systems are nearly identical and up-to-date.

I noticed that when running it as root Spotify is not connecting to dbus for some reason. Could that make the difference maybe?

Any help is appreciated! Thanks!

regards
Leonhard

dfrey commented on 2017-01-21 06:35

I noticed that these data files were being installed with execute permissions:
/usr/share/applications/spotify.desktop
/usr/share/pixmaps/spotify-client.png

Fixed in this commit:
https://github.com/dpfrey/arch-aur-spotify/commit/1f80c860647d6db96045a2657dc0d1b77f9959f8

ThomasMaltese commented on 2017-01-20 03:06

All,

I'm having some issues with spotify and openssl.

When I launch spotify, the window opens and I can log in. Once I hit play on a song, I get sound, the application freezes and I can't click anything (pause, change songs, etc.)

Errors from the terminal:

/usr/share/spotify/spotify: /usr/lib/libssl.so.1.0.0: no version information available (required by /usr/share/spotify/spotify)
/usr/share/spotify/spotify: /usr/lib/libcrypto.so.1.0.0: no version information available (required by /usr/share/spotify/spotify)
/usr/share/spotify/spotify: /usr/lib/libcurl.so.3: no version information available (required by /usr/share/spotify/spotify)
/usr/share/spotify/spotify: /usr/lib/libssl.so.1.0.0: no version information available (required by /usr/share/spotify/spotify)
/usr/share/spotify/spotify: /usr/lib/libcrypto.so.1.0.0: no version information available (required by /usr/share/spotify/spotify)
/usr/share/spotify/spotify: /usr/lib/libcurl.so.3: no version information available (required by /usr/share/spotify/spotify)
[0119/213400:ERROR:main_delegate.cc(752)] Could not load cef_extensions.pak


I've tried using an older version of spotify (1.0.44.100) using git and makepkg as suggested by @chso, but I end up with the same errors.
Before re-installing, I made sure to remove stuff like ~/.cache/spotify and ~/.config/spotify and the like.

I don't know much about openssl aside from that it has to do with cryptography. My gut tells me I shouldn't mess around with it.

Version information:
pacman -Q spotify
spotify 1.0.47.13-1

pacman -Q openssl
openssl 1.0.2.j-1

If it matters, "which openssl" returns the path to my anaconda2 (python distribution) installation:
/home/USERNAME/anaconda2/bin/openssl

Also, I did pacman -Syy and -Syu before installing so my system is up to date.

If anybody knows what the issue could be, any help would be greatly appreciated.
Thanks,

spookykidmm commented on 2017-01-15 00:53

I did @PipeNinja's change but for both x86_64 and i686 and uploaded that modified pkgbuild here: https://github.com/spookykidmm/spookykidmm-pkgbuilds/tree/master/spotify